clc, clear all, close all

f1 = linspace(1,50,20000);
t1 = 0;
t2 = 20;

[dc_w0 loss_fact_w0] = RelDielConst_PureWater(t1,f1);

figure(),loglog(f1,dc_w0,'b'), grid on,hold on,loglog(f1,loss_fact_w0,'r'),
axis([1 50 1 100]),xlabel('Frequency (GHz)'),
ylabel('Pure water dielectric constant @ 0 °C'),
legend('Relative permittivity','Loss factor')

[LF_m f_m] = max(loss_fact_w0);
f_c = f1(f_m)

[dc_w2 loss_fact_w2] = RelDielConst_PureWater(t2,f1);

figure(),loglog(f1,dc_w2,'b'), grid on,hold on,loglog(f1,loss_fact_w2,'r'),
axis([1 50 1 100]),xlabel('Frequency (GHz)'),
ylabel('Pure water dielectric constant @ 20 °C'),
legend('Relative permittivity','Loss factor')

[LF_m f_m] = max(loss_fact_w2)
f_c = f1(f_m)

figure(),loglog(f1,dc_w0,'b'), grid on,hold on,
loglog(f1,loss_fact_w0,'r'),
loglog(f1,dc_w2,'b--'),
loglog(f1,loss_fact_w2,'r--'),
axis([1 50 1 100]),xlabel('Frequency (GHz)'),
ylabel('Pure water dielectric constant '),
legend('Relative permittivity @ 0°','Loss factor @ 0 °C',...
    'Relative permittivity @ 20 °C','Loss factor @ 20 °C')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

f = linspace(1,1000,20000);
S = 32.54;

[dc_sw loss_fact_sw] = RelDielConst_SalineWater(t2,f,S);

figure(),loglog(f,dc_sw,'b'), grid on,hold on,loglog(f,loss_fact_sw,'r'),
axis([1 1000 1 100]),xlabel('Frequency (GHz)'),
ylabel('Saline water dielectric constant @ 20 °C'),
legend('Relative permittivity','Loss factor')

[dc_w20 loss_fact_w20] = RelDielConst_PureWater(t2,f);

figure(),loglog(f,dc_w20,'b'), grid on,hold on,
loglog(f,loss_fact_w20,'b--'),
loglog(f,dc_sw,'r'),
loglog(f,loss_fact_sw,'r--'),
axis([1 1000 1 100]),xlabel('Frequency (GHz)'),
ylabel('Saline versus pure water dielectric constant @ 20°C'),
legend('Pure water relative permittivity','Pure water loss factor',...
    'Saline water relative permittivity','Saline water loss factor')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

eps_h = 1;
eps_i = 10 -1i;
shape = 2;
vi = linspace(0,1,1000);
[eps_m] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi);

eps_m_1 = real(eps_m);
eps_m_2 = -imag(eps_m);

figure(),plot(vi,eps_m_1,'k'), grid on, axis([0 1 0 11]),xlabel('Inclusion volume fraction'),
ylabel('Mixture equivalent permittivity')

figure(),plot(vi,eps_m_2,'k'), grid on,xlabel('Inclusion volume fraction'),
ylabel('Mixture loss factor')

shape = 1;
[eps_m_D] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi);
eps_m_D1 = real(eps_m_D);
eps_m_D2 = -imag(eps_m_D);

shape = 3;
[eps_m_N] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi);
eps_m_N1 = real(eps_m_N);
eps_m_N2 = -imag(eps_m_N);

figure(),plot(vi,eps_m_1,'k'), grid on, hold on, plot(vi,eps_m_D1,'b'),
plot(vi,eps_m_N1,'r'),axis([0 1 0 11]),
xlabel('Inclusion volume fraction'), ylabel('Mixture equivalent permittivity')
legend('Spherical','Disc','Needle')

figure(),plot(vi,eps_m_2,'k--'), grid on, hold on, plot(vi,eps_m_D2,'b--'),
plot(vi,eps_m_N2,'r--'), xlabel('Inclusion volume fraction'), ylabel('Mixture loss factor')
legend('Spherical','Disc','Needle')

eps_h = 1;
eps_i = 5 - 1i*11.5;
shape = 2;
vi = linspace(0,1,1000);
[eps_m] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi);

eps_m_1 = real(eps_m);
eps_m_2 = -imag(eps_m);

figure(),plot(vi,eps_m_1,'k'), grid on,xlabel('Inclusion volume fraction'),
ylabel('Mixture equivalent permittivity')

figure(),plot(vi,eps_m_2,'k'), grid on,xlabel('Inclusion volume fraction'),
ylabel('Mixture loss factor')

shape = 1;
[eps_m_D] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi);
eps_m_D1 = real(eps_m_D);
eps_m_D2 = -imag(eps_m_D);

shape = 3;
[eps_m_N] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi);
eps_m_N1 = real(eps_m_N);
eps_m_N2 = -imag(eps_m_N);

figure(),plot(vi,eps_m_1,'k'), grid on, hold on, plot(vi,eps_m_D1,'b'),
plot(vi,eps_m_N1,'r'),
xlabel('Inclusion volume fraction'), ylabel('Mixture equivalent permittivity'),
legend('Spherical','Disc','Needle')

figure(),plot(vi,eps_m_2,'k--'), grid on, hold on, plot(vi,eps_m_D2,'b--'),
plot(vi,eps_m_N2,'r--'), xlabel('Inclusion volume fraction'), ylabel('Mixture loss factor'),
legend('Spherical','Disc','Needle')